package com.ruoyi.test.seriver;

import com.ruoyi.test.domain.Answer;
import com.ruoyi.test.domain.DO.AnswerDO;
import com.ruoyi.test.domain.DO.QuestionAnswerDO;
import com.ruoyi.test.domain.ExamCreate;
import com.ruoyi.test.domain.Questionanswer;
import com.ruoyi.test.domain.Questionbank;
import com.ruoyi.test.domain.Vo.QuestionanswerVo;

import java.util.List;
import java.util.Map;

public interface IQuestionanswerService {

    QuestionAnswerDO createTest(List<Questionbank> list, Answer answer);

    int addTest(QuestionAnswerDO questionAnswerDO);

    QuestionAnswerDO selectQuestionanswer(String sender,Long id);

    int markObjectiveQuestions(QuestionAnswerDO questionAnswerDO);

}
